通知ハンドラー
GET https://linktify.net/api/notification-handlers/
curl --request GET \
--url 'https://linktify.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列。 |
| search_by | 任意 文字列 | 検索対象フィールド。許可値:name。 |
| is_enabled | 任意 真偽値 | |
| type | 任意 文字列 | 検索対象フィールド。許可値:email, webhook, slack, discord, telegram, microsoft_teams。 |
| datetime_field | 任意 文字列 | 許可値:datetime, last_datetime |
| datetime_start | 任意 文字列 | この日時以降でフィルタ。Y-m-d H:i:s 形式。 |
| datetime_end | 任意 文字列 | この日時まででフィルタ。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 並び替えフィールド。許可値:notification_handler_id, datetime, last_datetime, name。 |
| order_type | 任意 文字列 | 並び順。ASC(昇順)または DESC(降順)。 |
| search | 任意 文字列 | 検索文字列。 |
| search_by | 任意 文字列 | 検索対象フィールド。許可値:name。 |
| is_enabled | 任意 真偽値 | |
| type | 任意 文字列 | 検索対象フィールド。許可値:email, webhook, slack, discord, telegram, microsoft_teams。 |
| datetime_field | 任意 文字列 | 許可値:datetime, last_datetime |
| datetime_start | 任意 文字列 | この日時以降でフィルタ。Y-m-d H:i:s 形式。 |
| datetime_end | 任意 文字列 | この日時まででフィルタ。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 並び替えフィールド。許可値:notification_handler_id, datetime, last_datetime, name。 |
| order_type | 任意 文字列 | 並び順。ASC(昇順)または DESC(降順)。 |
| page | 任意 整数 | 結果を取得するページ番号。既定は 1。 |
| results_per_page | 任意 整数 | 1ページあたりの件数。許可値:10, 25, 50, 100, 250, 500, 1000。既定 25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 00:52:57",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/notification-handlers?page=1",
"last": "https://linktify.net/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/notification-handlers?page=1"
}
}
GET https://linktify.net/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-04 00:52:57",
}
}
POST https://linktify.net/api/notification-handlers
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| type | 必須 文字列 | 許可値:email, webhook, slack, discord, telegram, microsoft_teams |
| 任意 文字列 | 利用可能な条件:type = email メール | |
| webhook | 任意 文字列 | 利用可能な条件:type = webhook Webhook URL |
| slack | 任意 文字列 | 利用可能な条件:type = slack SlackのWebhook URL |
| discord | 任意 文字列 | 利用可能な条件:type = discord DiscordのWebhook URL |
| telegram | 任意 文字列 | 利用可能な条件:type = telegram Telegram APIトークン |
| telegram_chat_id | 任意 文字列 | 利用可能な条件:type = telegram TelegramチャットID |
| microsoft_teams | 任意 文字列 | 利用可能な条件:type = microsoft_teams Microsoft TeamsのWebhook URL |
curl --request POST \
--url 'https://linktify.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://linktify.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://linktify.net/api/notification-handlers/{notification_handler_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 任意 文字列 | - |
| type | 任意 文字列 | 許可値:email, webhook, slack, discord, telegram, microsoft_teams |
| 任意 文字列 | 利用可能な条件:type = email メール | |
| webhook | 任意 文字列 | 利用可能な条件:type = webhook Webhook URL |
| slack | 任意 文字列 | 利用可能な条件:type = slack SlackのWebhook URL |
| discord | 任意 文字列 | 利用可能な条件:type = discord DiscordのWebhook URL |
| telegram | 任意 文字列 | 利用可能な条件:type = telegram Telegram APIトークン |
| telegram_chat_id | 任意 文字列 | 利用可能な条件:type = telegram TelegramチャットID |
| microsoft_teams | 任意 文字列 | 利用可能な条件:type = microsoft_teams Microsoft TeamsのWebhook URL |
| is_enabled | 任意 真偽値 | - |
curl --request POST \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://linktify.net/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \